Get suite tree for a given project
GET
/projectsuitetreesGet suite tree for a given project
Example
Section titled “Example”Use resource IDs from your own project. Keep the API token in your server or CI environment.
import { createConfiguration, SuitesApi } from '@testcollab/sdk';
const config = createConfiguration(process.env.TESTCOLLAB_TOKEN!);const api = new SuitesApi(config);
const result = await api.getProjectSuitesTree({ "project": 123});console.log(result);curl --request GET \ "https://api.testcollab.io/projectsuitetrees?token=$TESTCOLLAB_TOKEN&project=123"Parameters
Section titled “Parameters”| Name | Location | Type | Required | Description |
|---|---|---|---|---|
project |
query | number | Yes | Project ID |
Response
Section titled “Response”200 — Suite tree for this project, this will always be an array with one element only.
| Field | Type | Required | Description |
|---|---|---|---|
[].id |
number | Yes | — |
[].project |
Project Mini | Yes | — |
[].project.id |
number | Yes | — |
[].project.name |
string | Yes | — |
[].project.archived |
boolean | Yes | — |
[].project.activity |
string | No | — |
[].project.totalTimeSpentLabel |
string | No | — |
[].project.created_at |
string | Yes | — |
[].project.updated_at |
string | Yes | — |
[].tree |
Array of Suite Tree | Yes | — |
[]